BrowseRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class BrowseRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.BrowseRecord

All Implemented Interfaces:
  Serializable

    public class BrowseRecord

extends BaseRecord

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`BrowseRecord()` create a browse record

Method Summary
`String` | `getBrowseBy()` get the browseBy value
`HashMap<String,String>` | `getCollections()` get the collections map
`boolean` | `isDistinct()` get the isDistinct value
`void` | `setBrowseBy(String browseBy)` set the browseBy
`void` | `setCollections(HashMap<String,String> collections)` set the collections map
`void` | `setDistinct(boolean isDistinct)` set the isDistinct param

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowseRecord

    public BrowseRecord()

  create a browse record

Method Detail

### isDistinct

    public boolean isDistinct()

  get the isDistinct value

  Returns:
    true/false

### setDistinct

    public void setDistinct(boolean isDistinct)

  set the isDistinct param

  Parameters:
    `isDistinct` - isDistinct

### getBrowseBy

    public String getBrowseBy()

  get the browseBy value

  Returns:
    browse by

### setBrowseBy

    public void setBrowseBy(String browseBy)

  set the browseBy

  Parameters:
    `browseBy` - browseBy

### getCollections

    public HashMap<String,String> getCollections()

  get the collections map

  Returns:
    the collection map

### setCollections

    public void setCollections(HashMap<String,String> collections)

  set the collections map

  Parameters:
    `collections` - the collections map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.